use crate::ffi_util::import;

use super::LogicCommand;

#[repr(C)]
pub struct LogicCommandManager {
    unk_gap_1: [u8; 0x14],
}

impl LogicCommandManager {
    pub fn add_command(&mut self, command: &LogicCommand) {
        import!(logic_command_manager_add_command(ptr: *mut LogicCommandManager, command: *const LogicCommand) -> () = 0xF0914 + 1);
        logic_command_manager_add_command(self, command);
    }
}
