use crate::{ffi_util::import, sc_string::ScString};

pub struct LogicJSONParser;

#[repr(C)]
pub struct LogicJSONNode {
    vtable: usize,
}

impl LogicJSONParser {
    pub fn parse(data: &str) -> Option<&'static LogicJSONNode> {
        import!(logic_json_parser_parse(data: *const ScString) -> *const LogicJSONNode = 0x17D2E4 + 1);
        let result = logic_json_parser_parse(ScString::new(data));
        (!result.is_null()).then(|| unsafe { &*result })
    }
}
